#include "blitz/protocol/packets/PlayerShootPacket.h"

namespace blitz {
namespace protocol {

DataBuffer PlayerShootPacket::Serialize(bool packetID) const {
	DataBuffer data;

	WritePacketID(data, packetID);
	data << m_Player << m_Position << m_Yaw << m_Pitch;
	return data;
}

void PlayerShootPacket::Deserialize(DataBuffer& data) {
	data >> m_Player >> m_Position >> m_Yaw >> m_Pitch;
}

}  // namespace protocol
}  // namespace blitz
